export class Room {
    rid: number;
    rname: string;
    title: string;
    rpic: string;
    roomLimit: number;
    rdesc: string;
    constructor(init?: Room) {
        Object.assign(this, init);
        this.rid = 0;
        this.rname = '';
        this.title = '';
        this.rpic = '';
        this.roomLimit = 0;
        this.rdesc = '';
    }
}

export interface SearchRoomModel {
    sdate: string;
    edate: string;
    stime: string;
    etime: string;
    roomlimit: number;
}

export class SearchRoomModel {
    constructor(init?: SearchRoomModel) {
        Object.assign(this, init);
        this.sdate = '',
        this.edate = '',
        this.stime = '',
        this.etime = '',
        this.roomlimit = 0;
    }
}